# Deployer recipe for OXID 7.x

This project uses [Deployer](https://deployer.org/) for scripted installation.

The recipe can usually also be used for projects based on OXID 6.4 and 6.5.

## Usage

See [Deployer OXID recipe project](https://packagist.org/packages/d3/oxid-deployer-project) for further instructions.

## available tasks

### OXID
- dep `oxid:getVersion` [stage] - show version of current OXID installation
- dep `oxid:cloneDatabase` [stage] - dump contents from source to destination database
- dep `oxid:runMigration` [stage] - run all database migrations

### database
- dep `database:createBackup` [stage] - rotate old database backups and create a new one
- dep `database:clone` [stage] - dump contents from source to destination database

### setup
- dep `setup:createDbConfig` [stage] - generate database configuration file
